Ordering API
Serving Centers
Serving centers that prepare and hand out orders
Authorization
ApiKeyAuth X-API-Key<token>
API key authentication. Format: karma_live_* or karma_dev_*
In: header
Path Parameters
locationId*number
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
name*string
Length
1 <= lengthcolor?string|null
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/locations/0/serving-centers" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "status": "success", "data": { "id": 0, "locationId": 0, "name": "string", "color": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }, "meta": { "requestId": "string", "timestamp": "2019-08-24T14:15:22Z", "executionTimeMs": 0 }}Authorization
ApiKeyAuth X-API-Key<token>
API key authentication. Format: karma_live_* or karma_dev_*
In: header
Path Parameters
id*number
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/api/v1/serving-centers/0"{ "status": "success", "data": { "id": 0, "deleted": true }, "meta": { "requestId": "string", "timestamp": "2019-08-24T14:15:22Z", "executionTimeMs": 0 }}Authorization
ApiKeyAuth X-API-Key<token>
API key authentication. Format: karma_live_* or karma_dev_*
In: header
Path Parameters
id*number
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
name?string
Length
1 <= lengthcolor?string|null
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/api/v1/serving-centers/0" \ -H "Content-Type: application/json" \ -d '{}'{ "status": "success", "data": { "id": 0, "locationId": 0, "name": "string", "color": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }, "meta": { "requestId": "string", "timestamp": "2019-08-24T14:15:22Z", "executionTimeMs": 0 }}